<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/room_bottom_dialog_bg"
    android:paddingBottom="24dp">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_title_height"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:paddingHorizontal="16dp"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="10人申请上麦" />

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/v_refresh"
        android:layout_width="match_parent"
        android:layout_height="400dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    <com.adealink.weparty.commonui.widget.CommonEmptyErrorView
        android:id="@+id/v_error_view"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/v_refresh"
        app:layout_constraintEnd_toEndOf="@id/v_refresh"
        app:layout_constraintStart_toStartOf="@id/v_refresh"
        app:layout_constraintTop_toTopOf="@id/v_refresh" />

    <View
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/room_bottom_mask_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/btn_cancel" />

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_cancel"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_button_height"
        android:layout_marginHorizontal="20dp"
        app:common_button_type="room_cancel"
        app:layout_constraintBottom_toBottomOf="@id/v_refresh"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:text="@string/room_apply_mic_cancel"
        app:textSize="16sp" />


</androidx.constraintlayout.widget.ConstraintLayout>